# Uses of Class
org.apache.sling.resourceresolver.impl.mapping.MapEntry

Packages that use MapEntry
Package
Description
org.apache.sling.resourceresolver.impl.mapping

## Uses of MapEntry in org.apache.sling.resourceresolver.impl.mapping

Methods in org.apache.sling.resourceresolver.impl.mapping that return MapEntry
Modifier and Type
Method
Description
`static MapEntry`
MapEntry.`createResolveEntry(String url, org.apache.sling.api.resource.Resource resource, boolean trailingSlash)`
Methods in org.apache.sling.resourceresolver.impl.mapping that return types with arguments of type MapEntry
Modifier and Type
Method
Description
`static List<MapEntry>`
MapEntry.`createMapEntry(String url, org.apache.sling.api.resource.Resource resource, boolean trailingSlash)`
`@Nullable Iterator<MapEntry>`
VanityPathHandler.`getCurrentMapEntryForVanityPath(String key)`
`@NotNull Collection<MapEntry>`
MapEntries.`getMapMaps()`
`@NotNull Collection<MapEntry>`
MapEntriesHandler.`getMapMaps()`
Return a flat listing of map entries used for mapping resources to URLs
`@NotNull List<MapEntry>`
MapEntries.`getResolveMaps()`
`@NotNull List<MapEntry>`
MapEntriesHandler.`getResolveMaps()`
Creates a flat listing of all the map entries used for resolving URLs to resources
`@NotNull Iterator<MapEntry>`
MapEntries.`getResolveMapsIterator(String requestPath)`
`@NotNull Iterator<MapEntry>`
MapEntriesHandler.`getResolveMapsIterator(@NotNull String requestPath)`
Creates an iterator over the possibly applicable mapping entries for resolving a resource
Methods in org.apache.sling.resourceresolver.impl.mapping with parameters of type MapEntry
Modifier and Type
Method
Description
`int`
MapEntry.`compareTo(MapEntry m)`
Constructor parameters in org.apache.sling.resourceresolver.impl.mapping with type arguments of type MapEntry
Modifier
Constructor
Description
``
`VanityPathHandler(MapConfigurationProvider factory, Map<String,List<MapEntry>> resolveMapsMap, ReentrantLock initializing, Consumer<String> drain)`